#include <os/ArgumentParser.h>
#include <os/FileSystem.h>

Result<int> luna_main(int argc, char** argv)
{
    StringView path;

    os::ArgumentParser parser;
    parser.add_positional_argument(path, "path"_sv, true);
    parser.parse(argc, argv);

    TRY(os::FileSystem::remove(path));

    return 0;
}
